# include "TestPositionSuiteTestCase.h"
# include "TestHeader.h"
# include <sstream>

void
TestPositionSuiteTestCase::read()
{
  Alice::TestPositionSuite
    suite("/home/sven/Programming/Chess/Data/fin/winatchess.fin");
  CPPUNIT_ASSERT_EQUAL(300, suite.numberOfPositions());
  Alice::TestPositionSuite
    suite2("/home/sven/Programming/Chess/Data/fin/ccc-1.epd");
  CPPUNIT_ASSERT_EQUAL( 11, suite2.numberOfPositions());
};

Test*
TestPositionSuiteTestCase::suite()
{
  TestSuite* testSuite = new TestSuite("TestPositionSuiteTestCase");
  AddTest(testSuite, TestPositionSuiteTestCase, read);
  return testSuite;
};
